#include <stdio.h>
#include <stdlib.h>
#include "stabla.h"

int dubinadrveta(CVOR* koren){
     int l,d;
     if(koren==NULL)
                    return 0;
     l=dubinadrveta(koren->l);
     d=dubinadrveta(koren->d);
     if(l>d)
            return l+1;
     else
         return d+1;
}

void ispisinivo(CVOR* koren, int nivo){
     if(koren==NULL)
                    return;
     if(nivo==0){
                 printf("%d\t",koren->vr);
                 return;
     }
     ispisinivo(koren->l,nivo-1);
     ispisinivo(koren->d,nivo-1);
}

void ispisiponivoima(CVOR* koren){
         int i=0;
         int brojnivoa = dubinadrveta(koren);
         for(i=0; i<brojnivoa; i++)
                  ispisinivo(koren,i);
}

void ispisiponivoima2(CVOR* koren){
     CVOR* nizcvorova[1000];
     int i=0; 
     int n=1;
     if(koren==NULL)
                    return;
     nizcvorova[i]=koren;   
    
     while(i<n){
                koren = nizcvorova[i];
                printf("%d\t", koren->vr);
                if(koren->l!=NULL)
                                  nizcvorova[n++]=koren->l;
                if(koren->d!=NULL)
                                  nizcvorova[n++]=koren->d;
                i++;
     }            
}

int main(int argc, char *argv[])
{
  CVOR* koren=ucitajdrvo();
  ispisiponivoima2(koren);
  koren=obrisidrvo(koren);
  system("PAUSE");	
  return 0;
}
